"""
The :mod:`pai4sk.svm` module includes Support Vector Machine algorithms.
"""

# See http://pai4sk.sourceforge.net/modules/svm.html for complete
# documentation.

# Author: Fabian Pedregosa <fabian.pedregosa@inria.fr> with help from
#         the pai4sk community. LibSVM and LibLinear are copyright
#         of their respective owners.
# License: BSD 3 clause (C) INRIA 2010

from .classes import SVC, NuSVC, SVR, NuSVR, OneClassSVM, LinearSVCSklearn, \
        LinearSVR
from .bounds import l1_min_c
from . import libsvm, liblinear, libsvm_sparse

__all__ = ['LinearSVCSklearn',
           'LinearSVR',
           'NuSVC',
           'NuSVR',
           'OneClassSVM',
           'SVC',
           'SVR',
           'l1_min_c',
           'liblinear',
           'libsvm',
           'libsvm_sparse']
import inspect
if '_sml/solvers/classes' not  in  [item[1]  for item in inspect.stack() if '<frozen importlib._bootstrap' not  in str(item[1]) ] [1] : from .._sml.solvers.classes import LinearSVC
